Bug 231114 - Review Request: keepassx - Cross-platform password manager
Review Request: keepassx - Cross-platform password manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-06 01:58 EST by Aurelien Bompard
Modified: 2013-04-29 08:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 03:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2007-03-06 01:58:37 EST
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/keepassx/keepassx.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/keepassx/keepassx-0.2.2-1.src.rpm
Description: 
KeePassX is an application for people with extremly high demands on secure
personal data management.
KeePassX saves many different information e.g. user names, passwords, urls,
attachemts and comments in one single database. For a better management
user-defined titles and icons can be specified for each single entry.
Furthermore the entries are sorted in groups, which are customizable as well.
The integrated search function allows to search in a single group or the
complete database.
KeePassX offers a little utility for secure password generation. The password
generator is very customizable, fast and easy to use. Especially someone who
generates passwords frequently will appreciate this feature.
The complete database is always encrypted either with AES (alias Rijndael) or
Twofish encryption algorithm using a 256 bit key. Therefore the saved
information can be considered as quite safe. KeePassX uses a database format
that is compatible with KeePass Password Safe for MS Windows.
Comment 1 Xavier Lamien 2007-06-18 23:19:26 EDT
=== REQUIRED ITEMS ===

 [ OK ] Build at least one arch: Mock built on x86_64 (F-7, Devel)
 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package %{name}.
 [ Ok ] Package meets the Packaging Guidelines.
 [ Ok ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ Ok ] License field in the package spec file matches the actual license.
 [ OK ] License type: GPL
 [ OK ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires and aren't redundant.
 [ OK ] The spec file handles locales properly.
 [ OK ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ Ok ] Package uses nothing in %doc for runtime.
 [ SKIP ] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ SKIP ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ OK ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package contains a properly installed desktop file association.
 [ OK ] Package does not own files or directories owned by other packages.
 [ Ok ] Scriplets are properly set.
 [ OK ] scriptlets for mime type are present.
 [ OK ] scriptlets for icon-cache are present
 [ CHECK ] Requires:
hicolor-icon-theme libQtCore.so.4()(64bit) libQtGui.so.4()(64bit)
libQtXml.so.4()(64bit) libX11.so.6()(64bit) libXtst.so.6()(64bit)
libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.4)(64bit)
libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libm.so.6()(64bit)
libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit)
libstdc++.so.6()(64bit) libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit) rtld(GNU_HASH)

== Rpmlint output: ==
    	
 [ OK ] Silent on both, RPM and SRPM files.



==============
** APPROVED **
==============
Comment 2 Aurelien Bompard 2007-06-23 03:26:41 EDT
Thanks Xavier !

New Package CVS Request
=======================
Package Name: keepassx
Short Description: Cross-platform password manager
Owners: gauret@free.fr
Branches: F-7
InitialCC: 
Comment 3 Kevin Fenzi 2007-06-25 14:43:38 EDT
cvs done.
Comment 4 Fedora Update System 2007-06-26 23:51:51 EDT
keepassx-0.2.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Greg Bailey 2013-04-29 08:04:31 EDT
Package Change Request
======================
Package Name: keepassx
New Branches: el6
Owners: gbailey
Comment 6 Jon Ciesla 2013-04-29 08:52:49 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.